|
poziția meniului |
---|
Part -> Cone |
Ateliere |
Part, Complete |
scurtătură |
Nici unul |
Prezentat în versiune |
- |
A se vedea, de asemenea, |
Part CreatePrimitives |
Description
Descriere
Un con parametric trunchiat este un element tip primitivă geometrică disponibil pe bara de instrumente Part sau în meniu (submeniul primitives) se deschide o casetă de dialog Create Primitives .
The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DateRadius1 or DateRadius2 property to zero. It can be turned into a segment of a cone by changing its DateAngle property.
Usage
Cum se folosește
În atelierul Part click pe iconița .
Example

A Part Cone object created with the scripting example below is shown here.
Notes
- A Part Cone can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Primitive Geometriche
![]() |
Cono Parametri
PosizioneEspandere la voce Posizione per stabilire:
Anche le dimensioni e il posizionamento del cono prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà. |
Opțiuni
![]() |
Cone
|
See also: Property editor.
A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Cone
- DateRadius1 (
Length
): The radius of the bottom face of the cone. Can be0mm
if DateRadius2 is larger than0mm
. The default is2mm
. - DateRadius2 (
Length
): The radius of the top face of the cone. Can be0mm
if DateRadius1 is larger than0mm
. The default is4mm
. - DateHeight (
Length
): The height of the cone. The default is10mm
. - DateAngle (
Angle
): The angle of the circular arc that defines the top and bottom face of the cone. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of a cone.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Cone can be created with the addObject()
method of the document:
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
- Where
"myCone"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Cone